News & Events

[Lin64] Monolix Suite 2018R1

on 20 February 2018
[acf_Demo_demo_url]


  • 2018R1 Version
  • 353 Download
  • 72.61 MB File Size
  • 1 File Count
  • 20 February 2018 Create Date
  • 2 May 2018 Last Updated
  • Download

MonolixSuite2018R1

Minimum system requirements

  • Architecture: 64 bits
  • Operating system: Centos 6.5 to 7.4, Ubuntu 14.04, Ubuntu 16.04, OpenSUSE Leap 42.3
  • 1GB RAM or above
  • gcc 4.8 or above
  • Optimally standard screen resolution not less than 800x600 pixels is recommended.

Possible troubleshooting

Resolution and display

  • OpenGL technology impact on remote access: Monolix and Datxplore interface were updated with OpenGL technology. This implies that the remote access using direct rendering is not working with OpenGL. In that case, the OpenGL application sends instructions directly to the local hardware bypassing the target X server. This is only possible with single machine. We cannot use it in MonolixSuite with X11 forwarding. Thus, an indirect rendering should be used, i.e. the remote application sends instructions to the X server which transfers them to the graphics card. It is possible to do that with ssh application, but it needs a dedicated configuration depending on the machine and the operating system. Other application as VNC or Remina can be used for an indirect rendering.
  • If the graphical user interface appears with too high or too low resolution, follow these steps:
    • open Monolix
    • load any project from the demos
    • in the menu, go to Settings > Preferences and disable the "High dpi scaling" in the Options.
    • close Monolix
    • restart Monolix

Antivirus problem

When downloading the package, or launching the installer, the antivirus may tell that the executable file is risky, considered malicious and stopped working. This is due to the fact that MonolixSuite embeds a compiler for the Mlxtran language. Thus, the antivirus puts it in quarantine or removes it.  Two solutions are available:
1/ Deactivate your antivirus auto-protection process during download and installation, or
2/ Restore the file from the quarantine.
To know more, please see the following link.

Prerequisites

For using the calculation engine Simulx, the user can not access directly to it as no user interface is provided, yet. Thus, the user should have R (with a version greater than 3.2 is recommended) and download the R-package mlxR (see here) to use the calculation engine Simulx.

About the installer

  • The installer is an executable
  • There is a silent installer provided

Licence and activation

Mlxplore, Monolix and Simulx require an activation key. Please go to the download page if you do not have your license key yet. The licence activation procedure can be seen also on the download page at the licence activation section.

Running

Under Windows operating system, the icons for Datxplore, Mlxplore and Monolix are on the desktop and available through the start menu.

The user can also go to <InstallationMenu MonolixSuite2018R1>/bin ($HOME/Lixoft/MonlixSuite2018R1/bin by default) to access to the .bat for Datxplore, Mlxplore, and Monolix.

For the calculation engine Simulx, the user should access it through R.

To see if everything is well installed, you can see here.

User guides

The data set, the Mlxtran syntax and each software has on-line documentation.

  • Data set guide here
  • Mlxtran guide here
  • Datxplore guide here
  • Mlxplore guide here
  • Monolix guide here
  • Simulx guide using mlxR R-package here

FileAction
monolixsuite2018R1-installerDownload 

Jonathan CHAUVIN[Lin64] Monolix Suite 2018R1